WireMock
action Wiremock

# random_delay

Adds a random delay to a list of mapppings

Run it now
View details

Type | action
Module | chaoswm.actions
Name | random_delay
Return | list

Usage

JSON

    {
      "name": "random-delay",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaoswm.actions",
        "func": "random_delay",
        "arguments": {
          "filter": [],
          "delayDistribution": null
        }
      }
    }

YAML

    name: random-delay
    provider:
      arguments:
        delayDistribution: null
        filter: []
      func: random_delay
      module: chaoswm.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
filter | list |  | Yes | Filter | Filter to add random delay to
delayDistribution | object |  | Yes | Delay Distribution | How to distribute the delays across the filter results

Signature

    def random_delay(filter: List[Any],
                     delayDistribution: Mapping[str, Any],
                     configuration: Dict[str, Dict[str, str]] = None) -> List[Any]:
        pass

## Related starters

- WireMock
  action Wiremock

  ## `down`

  Set a list of services down
- WireMock
  utils Wiremock

  ## `get_wm_params`

  Calculate WireMock parameters
- WireMock
  utils Wiremock

  ## `check_configuration`

  Check configuration contains valid WireMock settings